CameraTimelineTrait.ListTimelinePeriodsCommand.Response

class CameraTimelineTrait.ListTimelinePeriodsCommand.Response : ClusterStruct


The response from the ListTimelinePeriods command.

Summary

Nested types

Descriptor enum for this command's response fields.

Public constructors

Response(
    nextPageToken: String?,
    timelinePeriodsStreams: List<CameraTimelineTrait.TimelinePeriodsStream>
)

Creates a response payload from the ListTimelinePeriods command.

Public functions

open StructDescriptor

Returns the descriptor for the struct.

open Any?

Returns the value of the field for the given tag ID.

Public properties

String?

The next page token for the timeline periods.

List<CameraTimelineTrait.TimelinePeriodsStream>

The timeline periods.

Public constructors

Response

Response(
    nextPageToken: String? = null,
    timelinePeriodsStreams: List<CameraTimelineTrait.TimelinePeriodsStream> = emptyList()
)

Creates a response payload from the ListTimelinePeriods command.

Public functions

getDescriptor

@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor

Returns the descriptor for the struct.

getFieldValueById

@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?

Returns the value of the field for the given tag ID.

Public properties

nextPageToken

val nextPageTokenString?

The next page token for the timeline periods.

timelinePeriodsStreams

val timelinePeriodsStreamsList<CameraTimelineTrait.TimelinePeriodsStream>

The timeline periods.